import React from "react";
import PropTypes from "prop-types";
import { Card } from "@material-ui/core";

import LoginComponent from "./LoginComponent";

const LoginCard = ({ credentials, onChange, onLogin }) => {
  return (
    <Card variant="outlined">
      <LoginComponent
        credentials={credentials}
        onChange={onChange}
        onLogin={onLogin}
      />
    </Card>
  );
};

LoginCard.propTypes = {
  credentials: PropTypes.object.isRequired,
  onChange: PropTypes.func.isRequired,
  onLogin: PropTypes.func.isRequired
};

export default LoginCard;
